Bug 1451277 - [RFE] Support storing and presenting Vendor field in package API
Summary: [RFE] Support storing and presenting Vendor field in package API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
: 1476264 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-16 09:49 UTC by Konstantin Trufanov
Modified: 2019-10-07 17:37 UTC (History)
17 users (show)

Fixed In Version: pulp-rpm-2.18.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:30 UTC
Pulp Redmine 2781 High CLOSED - CURRENTRELEASE Vendor field is present in db if RPM is uploaded, it is missed in case of sync 2018-08-31 21:03:22 UTC
Pulp Redmine 3924 Normal CLOSED - CURRENTRELEASE Add a migration for the "vendor" field 2018-12-04 22:30:53 UTC

Description Konstantin Trufanov 2017-05-16 09:49:49 UTC
Description of problem:

Querying package information via API always return null value for vendor field for any package.

Version-Release number of selected component (if applicable):

Pulp 2.8.7
katello 3.0.0

How reproducible:

all the time

Steps to Reproduce:
1. Query package info via API
2. Get null value for vendor filed

[root@ktrufano-pulp ~]# curl -X GET -k -u admin https://ktrufano-p1.usersys.redhat.com/katello/api/packages/527 | python -m json.tool | grep vendor
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  2296    0  2296    0     0   1977      0 --:--:--  0:00:01 --:--:--  1977
    "vendor": null,


Actual results:

Vendor has value null


Expected results:

Vendor should has correct value or an output shouldn't has this field at all.


Additional info:

Since this information doesn't stored in pulp database, i assume that this field is fine to remove, no user impact will be there.

Comment 1 Konstantin Trufanov 2017-05-17 15:18:40 UTC
Update from customer.

He need this info to be visible in the Satellite.

Comment 3 pulp-infra@redhat.com 2017-05-30 14:35:14 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2017-05-30 14:35:18 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2017-05-30 15:04:24 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 6 Brad Buckingham 2017-08-25 14:40:53 UTC
*** Bug 1476264 has been marked as a duplicate of this bug. ***

Comment 10 pulp-infra@redhat.com 2018-07-19 02:34:56 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2018-07-19 13:05:39 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 12 pulp-infra@redhat.com 2018-07-19 13:34:32 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2018-07-19 14:04:13 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 14 Bryan Kearney 2018-07-19 15:25:28 UTC
@brad, do we need anything in katello to show this?

Comment 17 pulp-infra@redhat.com 2018-08-14 21:33:06 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 19 pulp-infra@redhat.com 2018-08-17 11:13:30 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 20 pulp-infra@redhat.com 2018-08-17 11:13:34 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 21 pulp-infra@redhat.com 2018-08-31 21:03:24 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 22 pulp-infra@redhat.com 2018-09-01 01:31:33 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 23 pulp-infra@redhat.com 2018-09-04 20:33:02 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 24 pulp-infra@redhat.com 2018-09-12 16:01:33 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 25 pulp-infra@redhat.com 2018-09-12 16:03:09 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 30 pulp-infra@redhat.com 2018-11-20 19:32:02 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 32 pulp-infra@redhat.com 2018-12-04 22:30:54 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 39 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.